Package org.apache.sling.servlets.resolver.internal.console

# Class WebConsolePlugin

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.apache.sling.servlets.resolver.internal.console.WebConsolePlugin

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class WebConsolePlugin extends jakarta.servlet.http.HttpServlet
If the servlet request path ends with .json, the information is returned in JSON format. Otherwise, an HTML code is returned.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class jakarta.servlet.http.HttpServlet

`LEGACY_DO_HEAD`

## Constructor Summary

Constructors
Constructor
Description
`WebConsolePlugin()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(org.apache.sling.servlets.resolver.internal.ResolverConfig config)`
Activate this component.
`protected void`
`service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`

### Methods inherited from class jakarta.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPatch, doPost, doPut, doTrace, getLastModified, init, isSensitiveHeader, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebConsolePlugin

public WebConsolePlugin()

## Method Details

### activate

protected void activate(org.apache.sling.servlets.resolver.internal.ResolverConfig config)
Activate this component.

### service

protected void service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws jakarta.servlet.ServletException, IOException

Overrides:
  `service` in class `jakarta.servlet.http.HttpServlet`
Throws:
  `jakarta.servlet.ServletException`
  `IOException`